<template>
  <q-page class="row items-center justify-evenly"
          :style="{
      backgroundImage: `url(${backgroundUrl})`,
      backgroundSize: 'cover',
      backgroundRepeat: 'no-repeat',
      backgroundPosition: 'center'
    }"
  >
    <register-card />
  </q-page>
</template>

<script setup lang="ts">
import RegisterCard from 'components/RegisterCard.vue';
import { useMeta } from 'quasar';
import backgroundUrl from 'assets/images/5509862_1.png';

defineOptions({
  name: 'RegisterPage'
});

useMeta({
  title: 'Inscription',
  titleTemplate(title) {
      return title ? `${title} - Gloopbook` : 'Gloopbook';
  },
});
</script>
